Package com.independentsoft.office.spreadsheet.queryTables

# Class QueryTable

java.lang.Object
com.independentsoft.office.spreadsheet.queryTables.QueryTable

public class QueryTable extends Object
The Class QueryTable.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryTable()`
  Instantiates a new query table.
  `QueryTable​(byte[] buffer)`
  Instantiates a new query table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QueryTable`
  `clone()`
  `int`
  `getAutoFormatID()`
  Gets the auto format id.
  `int`
  `getConnectionID()`
  Gets the connection id.
  `GrowShrinkType`
  `getGrowShrinkType()`
  Gets the grow shrink type.
  `String`
  `getInternalPath()`
  Gets the internal path.
  `String`
  `getName()`
  Gets the name.
  `QueryTableRefresh`
  `getQueryTableRefresh()`
  Gets the query table refresh.
  `boolean`
  `hasHeaders()`
  Checks for headers.
  `boolean`
  `isAdjustColumnWidthOnRefresh()`
  Checks if is adjust column width on refresh.
  `boolean`
  `isApplyAlignmentFormats()`
  Checks if is apply alignment formats.
  `boolean`
  `isApplyBorderFormats()`
  Checks if is apply border formats.
  `boolean`
  `isApplyFontFormats()`
  Checks if is apply font formats.
  `boolean`
  `isApplyNumberFormats()`
  Checks if is apply number formats.
  `boolean`
  `isApplyPatternFormats()`
  Checks if is apply pattern formats.
  `boolean`
  `isApplyWidthHeightFormats()`
  Checks if is apply width height formats.
  `boolean`
  `isBackgroundRefresh()`
  Checks if is background refresh.
  `boolean`
  `isDisableEdit()`
  Checks if is disable edit.
  `boolean`
  `isDisableRefresh()`
  Checks if is disable refresh.
  `boolean`
  `isFillAdjacentFormulas()`
  Checks if is fill adjacent formulas.
  `boolean`
  `isFirstBackgroundRefresh()`
  Checks if is first background refresh.
  `boolean`
  `isIntermediate()`
  Checks if is intermediate.
  `boolean`
  `isPreserveFormattingOnRefresh()`
  Checks if is preserve formatting on refresh.
  `boolean`
  `isRefreshOnLoad()`
  Checks if is refresh on load.
  `boolean`
  `isRemoveDataOnSave()`
  Checks if is removes the data on save.
  `boolean`
  `isRowNumbers()`
  Checks if is row numbers.
  `void`
  `setAdjustColumnWidthOnRefresh​(boolean adjustColumnWidthOnRefresh)`
  Sets the adjust column width on refresh.
  `void`
  `setApplyAlignmentFormats​(boolean applyAlignmentFormats)`
  Sets the apply alignment formats.
  `void`
  `setApplyBorderFormats​(boolean applyBorderFormats)`
  Sets the apply border formats.
  `void`
  `setApplyFontFormats​(boolean applyFontFormats)`
  Sets the apply font formats.
  `void`
  `setApplyNumberFormats​(boolean applyNumberFormats)`
  Sets the apply number formats.
  `void`
  `setApplyPatternFormats​(boolean applyPatternFormats)`
  Sets the apply pattern formats.
  `void`
  `setApplyWidthHeightFormats​(boolean applyWidthHeightFormats)`
  Sets the apply width height formats.
  `void`
  `setAutoFormatID​(int autoFormatID)`
  Sets the auto format id.
  `void`
  `setBackgroundRefresh​(boolean backgroundRefresh)`
  Sets the background refresh.
  `void`
  `setConnectionID​(int connectionID)`
  Sets the connection id.
  `void`
  `setDisableEdit​(boolean disableEdit)`
  Sets the disable edit.
  `void`
  `setDisableRefresh​(boolean disableRefresh)`
  Sets the disable refresh.
  `void`
  `setFillAdjacentFormulas​(boolean fillAdjacentFormulas)`
  Sets the fill adjacent formulas.
  `void`
  `setFirstBackgroundRefresh​(boolean firstBackgroundRefresh)`
  Sets the first background refresh.
  `void`
  `setGrowShrinkType​(GrowShrinkType growShrinkType)`
  Sets the grow shrink type.
  `void`
  `setHeaders​(boolean hasHeaders)`
  Sets the headers.
  `void`
  `setIntermediate​(boolean intermediate)`
  Sets the intermediate.
  `void`
  `setInternalPath​(String internalPath)`
  Sets the internal path.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setPreserveFormattingOnRefresh​(boolean preserveFormattingOnRefresh)`
  Sets the preserve formatting on refresh.
  `void`
  `setQueryTableRefresh​(QueryTableRefresh queryTableRefresh)`
  Sets the query table refresh.
  `void`
  `setRefreshOnLoad​(boolean refreshOnLoad)`
  Sets the refresh on load.
  `void`
  `setRemoveDataOnSave​(boolean removeDataOnSave)`
  Sets the removes the data on save.
  `void`
  `setRowNumbers​(boolean rowNumbers)`
  Sets the row numbers.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QueryTable

    public QueryTable()
    Instantiates a new query table.

  - ### QueryTable

    public QueryTable​(byte[] buffer) throws XMLStreamException
    Instantiates a new query table.
    Parameters:
      `buffer` - the buffer
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public QueryTable clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getQueryTableRefresh

    public QueryTableRefresh getQueryTableRefresh()
    Gets the query table refresh.
    Returns:
      the query table refresh

  - ### setQueryTableRefresh

    public void setQueryTableRefresh​(QueryTableRefresh queryTableRefresh)
    Sets the query table refresh.
    Parameters:
      `queryTableRefresh` - the new query table refresh

  - ### isAdjustColumnWidthOnRefresh

    public boolean isAdjustColumnWidthOnRefresh()
    Checks if is adjust column width on refresh.
    Returns:
      true, if is adjust column width on refresh

  - ### setAdjustColumnWidthOnRefresh

    public void setAdjustColumnWidthOnRefresh​(boolean adjustColumnWidthOnRefresh)
    Sets the adjust column width on refresh.
    Parameters:
      `adjustColumnWidthOnRefresh` - the new adjust column width on refresh

  - ### isApplyAlignmentFormats

    public boolean isApplyAlignmentFormats()
    Checks if is apply alignment formats.
    Returns:
      true, if is apply alignment formats

  - ### setApplyAlignmentFormats

    public void setApplyAlignmentFormats​(boolean applyAlignmentFormats)
    Sets the apply alignment formats.
    Parameters:
      `applyAlignmentFormats` - the new apply alignment formats

  - ### isApplyBorderFormats

    public boolean isApplyBorderFormats()
    Checks if is apply border formats.
    Returns:
      true, if is apply border formats

  - ### setApplyBorderFormats

    public void setApplyBorderFormats​(boolean applyBorderFormats)
    Sets the apply border formats.
    Parameters:
      `applyBorderFormats` - the new apply border formats

  - ### isApplyFontFormats

    public boolean isApplyFontFormats()
    Checks if is apply font formats.
    Returns:
      true, if is apply font formats

  - ### setApplyFontFormats

    public void setApplyFontFormats​(boolean applyFontFormats)
    Sets the apply font formats.
    Parameters:
      `applyFontFormats` - the new apply font formats

  - ### isApplyNumberFormats

    public boolean isApplyNumberFormats()
    Checks if is apply number formats.
    Returns:
      true, if is apply number formats

  - ### setApplyNumberFormats

    public void setApplyNumberFormats​(boolean applyNumberFormats)
    Sets the apply number formats.
    Parameters:
      `applyNumberFormats` - the new apply number formats

  - ### isApplyPatternFormats

    public boolean isApplyPatternFormats()
    Checks if is apply pattern formats.
    Returns:
      true, if is apply pattern formats

  - ### setApplyPatternFormats

    public void setApplyPatternFormats​(boolean applyPatternFormats)
    Sets the apply pattern formats.
    Parameters:
      `applyPatternFormats` - the new apply pattern formats

  - ### isApplyWidthHeightFormats

    public boolean isApplyWidthHeightFormats()
    Checks if is apply width height formats.
    Returns:
      true, if is apply width height formats

  - ### setApplyWidthHeightFormats

    public void setApplyWidthHeightFormats​(boolean applyWidthHeightFormats)
    Sets the apply width height formats.
    Parameters:
      `applyWidthHeightFormats` - the new apply width height formats

  - ### getAutoFormatID

    public int getAutoFormatID()
    Gets the auto format id.
    Returns:
      the auto format id

  - ### setAutoFormatID

    public void setAutoFormatID​(int autoFormatID)
    Sets the auto format id.
    Parameters:
      `autoFormatID` - the new auto format id

  - ### isBackgroundRefresh

    public boolean isBackgroundRefresh()
    Checks if is background refresh.
    Returns:
      true, if is background refresh

  - ### setBackgroundRefresh

    public void setBackgroundRefresh​(boolean backgroundRefresh)
    Sets the background refresh.
    Parameters:
      `backgroundRefresh` - the new background refresh

  - ### getConnectionID

    public int getConnectionID()
    Gets the connection id.
    Returns:
      the connection id

  - ### setConnectionID

    public void setConnectionID​(int connectionID)
    Sets the connection id.
    Parameters:
      `connectionID` - the new connection id

  - ### isDisableEdit

    public boolean isDisableEdit()
    Checks if is disable edit.
    Returns:
      true, if is disable edit

  - ### setDisableEdit

    public void setDisableEdit​(boolean disableEdit)
    Sets the disable edit.
    Parameters:
      `disableEdit` - the new disable edit

  - ### isDisableRefresh

    public boolean isDisableRefresh()
    Checks if is disable refresh.
    Returns:
      true, if is disable refresh

  - ### setDisableRefresh

    public void setDisableRefresh​(boolean disableRefresh)
    Sets the disable refresh.
    Parameters:
      `disableRefresh` - the new disable refresh

  - ### isFillAdjacentFormulas

    public boolean isFillAdjacentFormulas()
    Checks if is fill adjacent formulas.
    Returns:
      true, if is fill adjacent formulas

  - ### setFillAdjacentFormulas

    public void setFillAdjacentFormulas​(boolean fillAdjacentFormulas)
    Sets the fill adjacent formulas.
    Parameters:
      `fillAdjacentFormulas` - the new fill adjacent formulas

  - ### isFirstBackgroundRefresh

    public boolean isFirstBackgroundRefresh()
    Checks if is first background refresh.
    Returns:
      true, if is first background refresh

  - ### setFirstBackgroundRefresh

    public void setFirstBackgroundRefresh​(boolean firstBackgroundRefresh)
    Sets the first background refresh.
    Parameters:
      `firstBackgroundRefresh` - the new first background refresh

  - ### getGrowShrinkType

    public GrowShrinkType getGrowShrinkType()
    Gets the grow shrink type.
    Returns:
      the grow shrink type

  - ### setGrowShrinkType

    public void setGrowShrinkType​(GrowShrinkType growShrinkType)
    Sets the grow shrink type.
    Parameters:
      `growShrinkType` - the new grow shrink type

  - ### hasHeaders

    public boolean hasHeaders()
    Checks for headers.
    Returns:
      true, if successful

  - ### setHeaders

    public void setHeaders​(boolean hasHeaders)
    Sets the headers.
    Parameters:
      `hasHeaders` - the new headers

  - ### isIntermediate

    public boolean isIntermediate()
    Checks if is intermediate.
    Returns:
      true, if is intermediate

  - ### setIntermediate

    public void setIntermediate​(boolean intermediate)
    Sets the intermediate.
    Parameters:
      `intermediate` - the new intermediate

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### isPreserveFormattingOnRefresh

    public boolean isPreserveFormattingOnRefresh()
    Checks if is preserve formatting on refresh.
    Returns:
      true, if is preserve formatting on refresh

  - ### setPreserveFormattingOnRefresh

    public void setPreserveFormattingOnRefresh​(boolean preserveFormattingOnRefresh)
    Sets the preserve formatting on refresh.
    Parameters:
      `preserveFormattingOnRefresh` - the new preserve formatting on refresh

  - ### isRefreshOnLoad

    public boolean isRefreshOnLoad()
    Checks if is refresh on load.
    Returns:
      true, if is refresh on load

  - ### setRefreshOnLoad

    public void setRefreshOnLoad​(boolean refreshOnLoad)
    Sets the refresh on load.
    Parameters:
      `refreshOnLoad` - the new refresh on load

  - ### isRemoveDataOnSave

    public boolean isRemoveDataOnSave()
    Checks if is removes the data on save.
    Returns:
      true, if is removes the data on save

  - ### setRemoveDataOnSave

    public void setRemoveDataOnSave​(boolean removeDataOnSave)
    Sets the removes the data on save.
    Parameters:
      `removeDataOnSave` - the new removes the data on save

  - ### isRowNumbers

    public boolean isRowNumbers()
    Checks if is row numbers.
    Returns:
      true, if is row numbers

  - ### setRowNumbers

    public void setRowNumbers​(boolean rowNumbers)
    Sets the row numbers.
    Parameters:
      `rowNumbers` - the new row numbers

  - ### getInternalPath

    public String getInternalPath()
    Gets the internal path.
    Returns:
      the internal path

  - ### setInternalPath

    public void setInternalPath​(String internalPath)
    Sets the internal path.
    Parameters:
      `internalPath` - the new internal path